summaryrefslogtreecommitdiff
path: root/bin/get-sdf-mail
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2017-08-15 10:49:23 -0700
committerSean Whitton <spwhitton@spwhitton.name>2017-08-15 10:49:23 -0700
commit71a5236a0db3b9540382ed3fee5fe2e187444a49 (patch)
tree573a68beafe81f76377f6faf3f5c7f6a3f00aa80 /bin/get-sdf-mail
parentcf39a69be846af5907c4bca4cde846cd1b6c9606 (diff)
downloaddotfiles-71a5236a0db3b9540382ed3fee5fe2e187444a49.tar.gz
script to pull mail from SDF
Diffstat (limited to 'bin/get-sdf-mail')
-rwxr-xr-xbin/get-sdf-mail12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/get-sdf-mail b/bin/get-sdf-mail
new file mode 100755
index 00000000..b37c0fac
--- /dev/null
+++ b/bin/get-sdf-mail
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+. $HOME/.shenv
+
+uuid=$(date +%s)
+
+ssh spw@tty.sdf.org mv /var/mail/spw /sdf/arpa/ns/s/spw/tmp/mbox.$uuid
+scp spw@tty.sdf.org:tmp/mbox.$uuid $HOME/tmp/mbox.$uuid
+mb2md -s $HOME/tmp/mbox.$uuid -d $HOME/.fmail/inbox
+echo "I: after confirming the insert succeeded, rm ~/tmp/mbox.$uuid, and on SDF"